{% extends '@Templates/PageWithTitleLayout.html.twig' %}

{% set mainTitle = 'Liste des sujets' %}

{% if topic.name is defined %}
    {% set mainTitle = topic.name %}
{% endif %}

{% block title 'Liste des sujets' %}

{% block content %}
    {% if topic is defined and topic is not null %}

        {% set description %}
            {{ include('@Organisms/Topic/Description.html.twig', {"topic": topic}) }}
        {% endset %}

        {% set children %}
            {{ include('@Organisms/Topic/TopicList.html.twig', {"topics": topics, "nbChildren": nbChildren}) }}
        {% endset %}

        {% set questions %}
            {{ include('@Organisms/Test/Question/QuestionList.html.twig',  {"topic": topic}) }}
        {% endset %}

        {% set tabs = {
            "sujet": {
                "label": "Description",
                "content": description,
                "selected": true,
            },
            "children":  {
                "label": "Sujets enfants",
                "content": children
            },
            "resources": {
                "label": "Ressources",
                "content": "Contenu ressources",
            },
            "questions": {
                "label": "Questions",
                "content": questions
            }
        } %}

        <twig:Molecules:Tab:Tab  horizontal="1" tabID="topic" tabs="{{ tabs }}"/>
    {% else %}
        <twig:Organisms:Topic:TopicList topics="{{ topics }}" nbChildren="{{ nbChildren }}"/>
    {% endif %}
{% endblock %}
